(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


// symbols:



(lib.Symbol5 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#494968").s().p("AiCCDQg2g2AAhNQAAhNA2g1QA1g2BNAAQBNAAA2A2QA2A1AABNQAABNg2A2Qg2A3hNgBQhNABg1g3g");

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-18.5,-18.5,37.1,37.1);


(lib.Symbol4 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#494968").s().p("Ag4A4QgXgYAAggQAAggAXgYQAYgXAgAAQAgAAAYAXQAYAYAAAgQAAAggYAYQgYAYggAAQggAAgYgYg");
	this.shape.setTransform(-0.1,-0.1,1,1,0,0,0,-0.1,-0.1);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-8,-8,16,16);


(lib.Symbol3 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#494968").s().p("AEkBkIpIAAQgpAAgdgdQgegeAAgpQAAgoAegeQAdgdApAAIJIAAQAqAAAdAdQAeAegBAoQABApgeAeQgdAdgpAAIgBAAg");
	this.shape.setTransform(28.7,0);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-10.6,-10,78.5,20);


(lib.Symbol2 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFA336").s().p("AAAIeQgoAAgegdQgdgeAAgpIAAtzQAAgpAdgeQAegdAoAAQApAAAeAdQAdAeAAApIAANzQAAApgdAeQgeAdgpAAIAAAAg");
	this.shape.setTransform(0,-44.1);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-10,-98.3,20,108.4);


(lib.Symbol1copy = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// bulbulis
	this.instance = new lib.Symbol5("synched",0);
	this.instance.parent = this;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(180));

	// stundas
	this.instance_1 = new lib.Symbol3("synched",0);
	this.instance_1.parent = this;

	this.timeline.addTween(cjs.Tween.get(this.instance_1).to({rotation:90},44).to({rotation:180},45).to({rotation:270},46).to({rotation:360},44).wait(1));

	// minutes
	this.instance_2 = new lib.Symbol2("synched",0);
	this.instance_2.parent = this;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).to({rotation:1080},44).to({rotation:2160},45).to({rotation:3240},46).to({rotation:4320},44).wait(1));

	// fons
	this.instance_3 = new lib.Symbol4("synched",0);
	this.instance_3.parent = this;
	this.instance_3.setTransform(0,-116.4,1,1,90);

	this.instance_4 = new lib.Symbol4("synched",0);
	this.instance_4.parent = this;
	this.instance_4.setTransform(0,116.4,1,1,90);

	this.instance_5 = new lib.Symbol4("synched",0);
	this.instance_5.parent = this;
	this.instance_5.setTransform(-116.4,0);

	this.instance_6 = new lib.Symbol4("synched",0);
	this.instance_6.parent = this;
	this.instance_6.setTransform(116.4,0);

	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("AvZPaQmZmYgBpCQABpBGZmYQGYmZJBgBQJCABGYGZQGZGYABJBQgBJCmZGYQmYGZpCABQpBgBmYmZg");

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape},{t:this.instance_6},{t:this.instance_5},{t:this.instance_4},{t:this.instance_3}]}).wait(180));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-139.5,-139.5,279.1,279.1);


// stage content:
(lib.isometric_clock_Canvas = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		playSound("flash0aicopy");
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// flash0.ai
	this.instance = new lib.Symbol1copy();
	this.instance.parent = this;
	this.instance.setTransform(217.2,201.3,0.72,0.72,0,0,-30,0.5,0.7);

	this.shape = new cjs.Shape();
	this.shape.graphics.lf(["#D2D9EB","#AEBADD","#97A5D4"],[0,0.553,1],-88.7,0,88.4,0).s().p("ApxQ8QkEiXAAmmQAAmnEEnBQEDnAFujUQFvjUEECWQEDCVAAGoQAAGnkDHBQkEHAlvDUQjWB8iyAAQh9AAhsg+g");
	this.shape.setTransform(221.9,204.6);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#5C629A").s().p("AraTzQlMjAgVn7QgVn6EvoMQExoMHAjtQHBjrFKDAQFMDBAVH6QAVH7kvILQkvINnADrQj4CCjUAAQisAAiVhWg");
	this.shape_1.setTransform(217.4,202.5);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.lf(["#D2D9EB","#AEBADD","#97A5D4"],[0,0.553,1],-115.4,-11,106.3,-2.5).s().p("Aq1UOQmLkJgfoEQgeoEEvoOQEwoNHBjrQHAjtGMDeQGMDcgaHlQgbHmk/IFQlBIEl4E+QjNCujUAAQivAAizh2g");
	this.shape_2.setTransform(198.5,193.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_2},{t:this.shape_1},{t:this.shape},{t:this.instance}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(286.3,250.2,239.7,301.6);
// library properties:
lib.properties = {
	id: '2AA0F9B836DB7446AAE443D513C24C67',
	width: 400,
	height: 400,
	fps: 25,
	color: "#CCCCCC",
	opacity: 1.00,
	manifest: [
		{src:"sounds/flash0aicopy.mp3", id:"flash0aicopy"}
	],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['2AA0F9B836DB7446AAE443D513C24C67'] = {
	getStage: function() { return exportRoot.getStage(); },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}



})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;